## org.aspectj.weaver.loadtime.definition
Class Definition.Pointcut

    java.lang.Object
      org.aspectj.weaver.loadtime.definition.Definition.Pointcut

Enclosing class:
  Definition

    public static class Definition.Pointcut

extends java.lang.Object

Field Summary
`java.lang.String` `expression`
`java.lang.String` `name`

Constructor Summary
`Definition.Pointcut(java.lang.String name, java.lang.String expression)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

### expression

    public final java.lang.String expression

Constructor Detail

### Definition.Pointcut

    public Definition.Pointcut(java.lang.String name,
                               java.lang.String expression)